IF NOT EXISTS
(
  SELECT SysColumns.Name 
  FROM SysObjects WITH (NOLOCK) 
    INNER JOIN SysColumns WITH (NOLOCK) ON SysColumns.Id = SysObjects.ID 
    AND SysColumns.Name = 'TransferID'
    WHERE SysObjects.Name = 'DEPARTMENTS'
)
  Alter table DEPARTMENTS add TransferID Int NULL
GO